#pragma once

typedef void (*FreeFunc) (void *value);

typedef struct _SList SList;
struct _SList
{
	void  *data;
	SList *next;
};

SList * slist_prepend (SList *list,
                       void  *data);

void    slist_free_all (SList   *list,
                        FreeFunc func);
